---
title: Monthly Report on Activities of Decentralized Climate Foundation A.C. March 2023.
author: Omar Octavio Huerta Valdez
date: 2023-05-10
layout: post
---

![](/assets/marchreportEN/Img0.png)

Created: **5th April 2023**


## :beginner: Introduction.
This monthly report aims to provide an overview of the activities, projects, and finances of the Decentralized Climate Foundation A.C. Through this document, we seek to inform our members and collaborators about the achievements and challenges we faced during the month. Furthermore, we aim to provide transparency and accountability regarding the use of resources and progress towards our long-term goals. This report includes details on the activities carried out, the status of ongoing projects, financial analysis, and future planning.


## 📈 Activities carried out.

The activities for the month of February were divided into 4 main divisions that are subdivided into specific tasks, which are as follows:

### **Social Services.**

**Throughout the month of March**, we worked hard with the student providing Social Service in their training program, which is mainly focused on learning Web3 for the update and maintenance of the foundation's website. The courses on Web3 are taught by David Eugenio Perez Negro Rocha, who also presented the achievements and progress of the project with the Social Service student. The Web3 Static workshop can be found in Annexe 1.

The website and progress to date can also be consulted in Annexe 2.

**Throughout the month of March**, We also delivered the final results of the introductory courses and workshops from February, such as the Git and Github Version Control Course, which are fundamental for the proper understanding of processes with Web3.

These courses covered basic topics such as initializing repositories, cloning, hosting in local repositories, performing pull, push, and updating repositories.

We also worked on learning GitFlow, which is basically the application of Git knowledge for the decentralization of the foundation's websites.

The deliverables can be consulted in Annexe 3.

**Throughout the month of March**, We also introduced the Social Service student to the use of Artificial Intelligence with the aim of introducing them to it, familiarizing them with it, and supporting them in its use for their tasks. This was done with the aim of finding more efficient and automated ways of carrying out tasks, reducing time and costs, and maximizing the effectiveness of both the student and the foundation's work and processes.

The deliverables can be consulted in Annexe 4.

Throughout the month of March, we also made the final delivery of the UML diagram creation course documentation, so that the Social Service student would have knowledge of Software Engineering in order to initiate the development of the IHS company's MVP project, belonging to David Eugenio Perez Negron, and with which we seek to link the Decentralized Climate Foundation to this development. The student developed class UML diagrams that are fundamental in Software Engineering for their understanding and future application.

The deliverables can be consulted in Annexe 5.


### **R&D Phase 1 DAO.**

**On February 16th**, the Decentralized Climate Improvement Proposal (DCIP-02) was submitted to standardize the methodologies for the Board of Directors' calls to discuss various topics of interest to the Foundation, such as progress reports from members, updates on administrative procedures, financial statements, and general news. The proposal was submitted by the Foundation's Vocal and principal developer.

The document can be consulted in Annexe 6.

### **Administration.**

**From March 10th to 25th**, The corresponding administrative tasks were carried out, such as paying for maintenance of the Foundation's facilities, coordinating with cleaning and maintenance staff, and various other service-related activities.

**On March 18th and 19th**, The first meeting was held with a potential accountant for the Decentralized Climate Foundation to have a professional who could handle administrative procedures with the Mexican tax authorities. Negotiations were conducted to establish a service contract with the accounting firm Tafolla & Associates. Once the agreement was reached, the President of the Decentralized Climate Foundation made initial contact with Mr. Pedro Tafolla, the firm's principal accountant. The Treasurer, Alfonso Navarro, and the Vocal, David Eugenio Perez Negron, were mainly involved in this activity.

### **Maintenance.**

In this section, maintenance activities are carried out on the main infrastructure of the Foundation, such as servers, computer equipment, and other electronic devices that the Foundation uses for its daily operations.

The two main developers of the Foundation actively participate in these activities.

As a noteworthy mention of these regular tasks, it is worth noting the training provided to Treasurer Mr. Alfonso Navarro Nuñez by Vocal David E. Perez, so that he could understand the technological infrastructure and make use of it.

## :moneybag: Finance.

The Finance section can be found in Annexe 7, which details the income, expenses, and expenditures made by the foundation throughout the month.

![](/assets/marchreportEN/Img1.png)

## :clipboard:Ongoing Projects.

In this section, we showcase the work we are currently involved in.

Currently, we are working with the First Social Service who are helping us document the organization's internal processes.

They have successfully completed various courses and workshops to understand the DCF's internal processes to start maintaining the technological infrastructure in optimal conditions and delegate more responsibilities.

They have attended courses and workshops on Git and version control on Github, Gitflow, and have also learned about Web3, IPFS, and other tools.

Finances remain a delicate topic that the H. Board of Directors continues to work on to ensure that the government procedures that the Foundation is undergoing can be concluded as soon as possible.

## :pencil:Future Goals and Objectives.
The Foundation has a series of projects and objectives it aims to achieve in the future. One of them is the DECA 2 project, which involves updating the NSI diagrams and documents to request from CONACyT. This project includes the removal of carbon credits from cryptocurrency processes, updating MVP information, updating the working model between NSI and the Foundation, and creating an agreement between DCF and NSI.

Another project that the Foundation has in mind is the IHS MVP, which is currently researching the necessary information for its development.

In addition, the Foundation is working on financing options, two of which are possible: the government program CLUNI and the CONACyT scholarship. Both are government agencies, but they have different procedures, and the Foundation plans to use them to acquire resources for technological development and its operation as such.

These are some of the projects that the Foundation has planned for the future and intends to carry out in the coming months.

## 🎯 Conclusions and Recommendations.

In summary, during the month of March, we made significant progress in achieving the objectives of the platform. We carried out fundraising activities and identified opportunities to improve our internal governance. Additionally, we organized and updated our donor database.

Regarding recommendations, we believe it is important to continue seeking funds to finance ongoing projects and improve efficiency in managing fund resources to maximize impact. Finally, it is recommended to continue updating and organizing our sponsor database, which will help establish a more productive and lasting relationship with our partners.

In summary, we believe that our platform has been very successful this month, and we are confident that by following these recommendations, we will be able to achieve our short and long-term goals.

## :beginner:Annexes.

1. https://hackmd.io/gbfcNdtPTNy4jz60-8Fqpw?view
2. https://decentralizedclimate.org
3. https://hackmd.io/ARL7nmX7TL2f1FvKKx4olg?both
4. https://hackmd.io/5TTxd6x6Qdi9pzRkFq6T7A
5. https://hackmd.io/LKrbBs0JSDe0fY25IJ9cjg
6. https://hackmd.io/c-0PvrXFQWezOJpzNtRA1A
7. https://nextcloud.neetsec.com/index.php/s/MbSsF52fNMwsDp3

Created by Omar Octavio Huerta Valdez.
