---
title: Informe Mensual de Actividades de la Decentralized Climate Foundation A.C. Marzo 2023.
author: Omar Octavio Huerta Valdez
date: 2023-05-10
layout: post
---

![](/assets/marchreportEN/Img0.png)


**5 de Abril de 2023**

## :beginner: Introducción.

Este informe mensual tiene como objetivo proporcionar una visión general de las actividades, proyectos y finanzas de la Asociación Civil de la Fundación Climática Descentralizada. A través de este documento, buscamos informar a nuestros miembros y colaboradores sobre los logros y desafíos que enfrentamos durante el mes. Además, esperamos proporcionar transparencia y rendición de cuentas sobre el uso de recursos y el progreso hacia nuestros objetivos a largo plazo. Este informe incluye detalles sobre las actividades realizadas, el estado de los proyectos en curso, un análisis financiero y la planificación futura.


## 📈 Actividades realizadas.
Las actividades del mes de marzo se dividieron en 4 divisiones principales que se subdividen en tareas específicas, que son las siguientes:

### **Servicios Sociales.**

**Todo el mes de marzo.** Se trabajó arduamente con el alumno prestador de Servicio Social en su programa de capacitación que está enfocado principalmente en el aprendizaje de Web3 para la actualización y mantenimiento de la pagina de internet de la fundación. El encargado de impartir los cursos de Web3 es el vocal David Eugenio Perez Negro Rocha quien a su vez expuso los logros obtenidos y los avances del proyecto con el alumno de Servicio Social. El taller de Web3 Static puede ser encontrado en el anexo 1.

La pagina web y los avances al día de hoy pueden ser tambien consultados en el anexo 2.

**Todo el mes de marzo.** De igual manera se entregaron los resultados finales de los cursos y talleres introductorios del mes de febrero como son el Curso de Control de Versiones en Git y Github, fundamentales para el correcto entendimiento de los procesos con Web3.

En estos cursos se tocaron temas básicos como la iniciación de repositorios, su clonación, el alojamiento en repositorios locales, realizar pull, push, actualizar repositorios.

De igual manera se trabajó en el aprendizaje de GitFlow que es básicamente la aplicación de los conocimientos de Git para la realización de la descentralización de las paginas web de la fundación.

Los entregables pueden ser consultados en el anexo 3

**Todo el mes de marzo.** Así mismo se dio la introducción al uso de Inteligencia Artificial al alumno prestador de Servicio Social con la finalidad de que se introdujera en su uso, se familiarizara y se apoyara en ella para la realización de sus tareas. Esto con la finalidad de encontrar formás más eficientes y automatizadas de realizar las tareas para que, entre muchas cosas, se redujeran los tiempos, los costos y se maximizara la efectividad tanto del alumno como de los trabajos y procesos de la fundación.

Los entregables pueden ser consultados en el anexo 4.

**Todo el mes de marzo.** Por ultimo y por esto no menos importante se realizó la entrega final de la documentación del curso de creación de diagramas UML esto con la finalidad de que el alumno prestador de Servicio Social tuviera conocimientos de Ingeniería de Software con la finalidad de iniciar los desarrollos del MVP de la empresa IHS, proyecto perteneciente al vocal David Eugenio Perez Negron y con el cual se busca vincular a la Decentralized Climate Foundation con este desarrollo. El alumno desarrolló diagramas UML de clases que son fundamentales en la Ingeniería de Software para su comprensión y futura aplicación.

Los entregables pueden ser consultados en el anexo 5.

### **R&D Phase 1 DAO.**

**16 de febrero.** Se entrega el Propuesta de Mejora para la Decentralized Climate por sus siglas en inglés (DCIP-02) Decentralized Climate Improvement Proposal la cual es la propuesta para estandarizar las metodologías de llamadas del Consejo de Administración para tocar diversos temas de interés de la Fundación, tales como avances en las tareas de los integrantes, novedades con tramites, estados financieros y para noticias en general que surjan. Esta propuesta es entregada por el Vocal de la Fundación y principal desarrollador.

El documento puede ser consultado en el anexo 6.


### **Administración.**

**Del 10 al 25 de marzo.** Se realizan las respectivas tareas administrativas que son de caracter recurrente como realizar los pagos de mantenimiento de las instalaciones de la Fundación, la atención con el personal de limpieza y mantenimiento de las instalaciones, cargos diversos por concepto de servicios entre otras actividades.

**Del 18 y 19 de marzo.** Se realiza el primer encuentro con el posible contador de la Decentralized Climate Foundation esto con el fin de contar con una persona profesional que pueda realizar los tramites ante las autoridades hacendarias mexicanas. Se realiza la negociación de un contrato de servicios por parte del despacho de contabilidad Tafolla & Asociados. Quedando cerrado el trato se realiza el primer contacto entre el Presidente de la Decentralized Climate Foundation y el Lic. Pedro Tafolla, contador principal del despacho de contabilidad anteriormente mencionado. En esta actividad participaron principalmente el Sr. Tesorero Alfonso Navarro y el Sr. Vocal David Eugenio Perez Negron

### **Mantenimiento.**

En esta sección se llevan a cabo actividades de mantenimiento en la infraestructura principal de la Fundación, como servidores, equipos de computación y otros dispositivos electrónicos que la Fundación utiliza para su operación diaria.

Los dos principales desarrolladores de la Fundación participan activamente en estas actividades.

Como mención destacable de estas tareas regulares se menciona la capacitación que se le impartió al Sr. Tesorero Alfonso Navarro Nuñez por parte del Vocal David E. Perez para que pudiera entender la infraestructura tecnologica y así mismo hacer uso de ella.

## :moneybag: Finanzas.

La sección de Finanzas se encuentra en el Anexo 7, el cual detalla los ingresos, gastos realizados por la fundación a lo largo del mes.

![](/assets/marchreportEN/Img1.png)

## :clipboard:Proyectos en curso.

En esta sección mostramos el trabajo en el que estamos involucrados actualmente.


Actualmente estamos trabajando con el Primer Servicio Social quienes nos están ayudando a documentar los procesos internos de la organización.

Ha realizado satisfactoriamente los diversos cursos y talleres realizados para conocer los procesos internos de la DCF para poder empezar a mantener la infraestructura tecnológica en optimas condiciones y poderle delegar mayor número de responsabilidades.


Ha asistido a cursos y talleres sobre Git y control de versiones en Github, Gitflow y también aprendió sobre Web3, IPFS y otras herramientas.

Las finanzas siguen siendo un tema delicado que el H. Consejo de Administración sigue trabajando para lograr que los tramites gubernamentales que la Fundación está realizando puedan concretarse lo más pronto posible.

## :pencil:Metas y objetivos futuros.

La Fundación tiene una serie de proyectos y objetivos que pretende alcanzar en el futuro. Uno de ellos es el proyecto DECA 2, que consiste en actualizar los diagramas y documentos de NSI para requerir al CONACyT. Este proyecto incluye la eliminación de créditos de carbono de los procesos de criptomonedas, la actualización de la información de MVP, la actualización del modelo de trabajo entre NSI y la Fundación, y la creación de un acuerdo entre DCF y NSI.


Otro proyecto que tiene en mente la Fundación es el MVP de IHS, el cual actualmente se encuentra investigando la información necesaria para su desarrollo.


Además, la Fundación está trabajando en opciones de financiamiento, de las cuales dos son posibles: el programa gubernamental CLUNI y la beca CONACyT. Ambas son agencias gubernamentales, pero tienen procedimientos diferentes y la Fundación planea usarlas para adquirir recursos para el desarrollo tecnológico y su para su funcionamiento como tal.


Estos son algunos de los proyectos que la Fundación tiene previstos para el futuro y prevé realizar en los próximos meses.

## 🎯 Conclusiones y recomendaciones.

En resumen, durante el mes de marzo avanzamos significativamente en el logro de los objetivos de la plataforma. Realizamos actividades de recaudación de fondos e identificamos oportunidades para mejorar nuestro gobierno interno. Además, organizamos y actualizamos nuestra base de datos de donantes.


En cuanto a las recomendaciones, creemos que es importante seguir buscando fondos para financiar los proyectos en curso y mejorar la eficiencia en la gestión de los recursos del fondo para maximizar su impacto. Finalmente, se recomienda continuar actualizando y organizando su base de datos de patrocinadores, lo que ayudará a establecer una relación más productiva y duradera con nuestros colaboradores.


En resumen, creemos que nuestra plataforma ha tenido mucho éxito este mes y estamos seguros de que siguiendo estas recomendaciones podremos lograr nuestras metas a corto y largo plazo.


## :beginner:Anexos

1. https://hackmd.io/gbfcNdtPTNy4jz60-8Fqpw?view
2. https://decentralizedclimate.org
3. https://hackmd.io/ARL7nmX7TL2f1FvKKx4olg?both
4. https://hackmd.io/5TTxd6x6Qdi9pzRkFq6T7A
5. https://hackmd.io/LKrbBs0JSDe0fY25IJ9cjg
6. https://nextcloud.neetsec.com/index.php/s/MbSsF52fNMwsDp3

Creado por Omar Octavio Huerta Valdez.
